# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KFileTreeViewItem Class Reference

An item for a KFileTreeView that knows about its own KFileItem. More...

`#include <kfiletreeviewitem.h>`

Inheritance diagram for KFileTreeViewItem:

[legend]
Collaboration diagram for KFileTreeViewItem:

[legend]
List of all members.

## Public Member Functions

| KFileTreeViewItem (KFileTreeViewItem *, KFileItem *, KFileTreeBranch *)
| KFileTreeViewItem (KFileTreeView *, KFileItem *, KFileTreeBranch *)
KFileTreeBranch * | branch () const
KFileItem * | fileItem () const
QString | path () const
KURL | url () const
bool | isDir () const
bool | alreadyListed () const
void | setListed (bool wasListed)

## Detailed Description

An item for a KFileTreeView that knows about its own KFileItem.

Definition at line 40 of file kfiletreeviewitem.h.

## Member Function Documentation

KFileTreeBranch* KFileTreeViewItem::branch | ( |  | ) | const`[inline]`

Returns:
  the KFileTreeBranch the item is sorted in.

Definition at line 50 of file kfiletreeviewitem.h.

KFileItem* KFileTreeViewItem::fileItem | ( |  | ) | const`[inline]`

Returns:
  the KFileItem the viewitem is representing.

Definition at line 55 of file kfiletreeviewitem.h.

QString KFileTreeViewItem::path | ( |  | ) | const

Returns:
  the path of the item.

Definition at line 75 of file kfiletreeviewitem.cpp.

References KURL::path(), and KFileItem::url().

KURL KFileTreeViewItem::url | ( |  | ) | const

Returns:
  the items KURL

Definition at line 70 of file kfiletreeviewitem.cpp.

References KFileItem::url().

Referenced by KFileTreeView::currentURL().

bool KFileTreeViewItem::isDir | ( |  | ) | const

Returns:
  if the item represents a directory

Definition at line 80 of file kfiletreeviewitem.cpp.

References KFileItem::isDir().

bool KFileTreeViewItem::alreadyListed | ( |  | ) | const

Returns:
  if this directory was already seen by a KDirLister.

Definition at line 60 of file kfiletreeviewitem.cpp.

void KFileTreeViewItem::setListed | ( | bool | wasListed | ) |

| set the flag if the directory was already listed. Definition at line 65 of file kfiletreeviewitem.cpp.

The documentation for this class was generated from the following files:

- kfiletreeviewitem.h
- kfiletreeviewitem.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:49 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003